com.genesyslab.wfm8.API.service.schedule800

## Class SchAgentDay

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchAgentDay

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDay
      extends java.lang.Object
      implements java.io.Serializable

  Agent Day Schedule, or Agent Day, is an agent's schedule for one day. Note that the notion of "day" here is not a calendar day, but, rather, a so called shift-day. That is, if the agent's shift starts today and continues into tomorrow, all the agent's scheduled states that are extending into tomorrow are still assigned to the Agent Day Schedule for "today" (not tomorrow). Note that no scheduled states can extend over 12pm of the next day. So an Agent Day is essentially 36 hours long.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchCoverage>` | `coverage` Used internally to calculate activity coverage for the day.
    `protected int` | `coverageNSizeIs` Number of elements in the "coverage" array
    `protected boolean` | `eligibleForTrade` Indicates whether agent day can be traded or not.
    `protected int` | `gswAgentId` Agent ID, identifies the `CfgAgent` object.
    `protected int` | `gswUserId` User ID if schedule day is "pending"; zero if schedule is "committed".
    `protected java.util.List<java.lang.Integer>` | `schActivities` A list of each unique Activity ID scheduled in an agent day schedule.
    `protected int` | `schActivitiesNSizeIs` Number of elements in the "schActivities" array
    `protected java.util.List<SchActivitySet>` | `schActivitySetInfo` A list of possible values for scheduled activity set states.
    `protected int` | `schActivitySetInfoNSizeIs` Number of elements in "schActivitySetInfo" array
    `protected java.util.List<SchState>` | `schStates` A list of all schedule states `SchState` in the day, including Activity and Shift states, as well as full-day states such as full-day exception, day off, and vacation.
    `protected int` | `schStatesNSizeIs` Number of elements in "schStates" array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected java.lang.String` | `wmComments` Comments for the agent day schedule.
    `protected double` | `wmDate` A date of agent day schedule `OleDateTime`
    `protected int` | `wmDayType` Type of agent day schedule `ESchDayType`
    `protected double` | `wmEndDateTime` End time of the last schedule state in Agent Day.
    `protected int` | `wmExceptionTypeId` Exception ID, identifies full-day Exception `CfgExceptionType` whether wmDayType = ESchDayType.SCH_DAY_EXCEPTION.
    `protected int` | `wmFlag` Agent Day Flag `ESchDayFlag`
    `protected boolean` | `wmMarked` Indicates whether agent day satisfies currently applied schedule state filter or not.
    `protected double` | `wmNextStartDateTime` Start time for the next day's schedule.
    `protected int` | `wmOvertimeMinutes` Daily overtime minutes.
    `protected int` | `wmPaidMinutes` Total paid minutes in the agent day schedule.
    `protected double` | `wmPrevEndDateTime` End time for the previous day's schedule.
    `protected int` | `wmScheduleId` Schedule (Scenario) identifier.
    `protected double` | `wmShiftEndDateTime` Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `protected int` | `wmShiftId` Shift ID, identifies `CfgShift` whether wmDayType = ESchDayType.SCH_DAY_SHIFT.
    `protected double` | `wmShiftStartDateTime` Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT.
    `protected int` | `wmSiteId` Site ID, identifies the `CfgSite` object.
    `protected double` | `wmStartDateTime` Start time of the first schedule state in Agent Day.
    `protected java.lang.String` | `wmSwordDescribe` Used internally to store encoded schedule for agent day.
    `protected int` | `wmTimeOffTypeId` Time Off Type ID, identifies full-day Time Off `CfgTimeOffType` whether wmDayType = ESchDayType.SCH_DAY_TIMEOFF.
    `protected int` | `wmTimezoneId` Time Zone ID used.
    `protected int` | `wmVacationMinutes` Total Time Off state minutes in an agent day schedule.
    `protected int` | `wmWorkMinutes` Total effective-work minutes in an agent day schedule.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDay()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchCoverage>` | `getCoverage()` Gets the value of the coverage property.
    `int` | `getCoverageNSizeIs()` Gets the value of the coverageNSizeIs property.
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `java.util.List<java.lang.Integer>` | `getSchActivities()` Gets the value of the schActivities property.
    `int` | `getSchActivitiesNSizeIs()` Gets the value of the schActivitiesNSizeIs property.
    `java.util.List<SchActivitySet>` | `getSchActivitySetInfo()` Gets the value of the schActivitySetInfo property.
    `int` | `getSchActivitySetInfoNSizeIs()` Gets the value of the schActivitySetInfoNSizeIs property.
    `java.util.List<SchState>` | `getSchStates()` Gets the value of the schStates property.
    `int` | `getSchStatesNSizeIs()` Gets the value of the schStatesNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `int` | `getWmDayType()` Gets the value of the wmDayType property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `int` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmFlag()` Gets the value of the wmFlag property.
    `double` | `getWmNextStartDateTime()` Gets the value of the wmNextStartDateTime property.
    `int` | `getWmOvertimeMinutes()` Gets the value of the wmOvertimeMinutes property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `double` | `getWmPrevEndDateTime()` Gets the value of the wmPrevEndDateTime property.
    `int` | `getWmScheduleId()` Gets the value of the wmScheduleId property.
    `double` | `getWmShiftEndDateTime()` Gets the value of the wmShiftEndDateTime property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `double` | `getWmShiftStartDateTime()` Gets the value of the wmShiftStartDateTime property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `java.lang.String` | `getWmSwordDescribe()` Gets the value of the wmSwordDescribe property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmVacationMinutes()` Gets the value of the wmVacationMinutes property.
    `int` | `getWmWorkMinutes()` Gets the value of the wmWorkMinutes property.
    `int` | `hashCode()`
    `boolean` | `isEligibleForTrade()` Gets the value of the eligibleForTrade property.
    `boolean` | `isWmMarked()` Gets the value of the wmMarked property.
    `void` | `setCoverage(java.util.List<SchCoverage> coverage)` Sets the value of the coverage property.
    `void` | `setCoverageNSizeIs(int value)` Sets the value of the coverageNSizeIs property.
    `void` | `setEligibleForTrade(boolean value)` Sets the value of the eligibleForTrade property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setSchActivities(java.util.List<java.lang.Integer> schActivities)` Sets the value of the schActivities property.
    `void` | `setSchActivitiesNSizeIs(int value)` Sets the value of the schActivitiesNSizeIs property.
    `void` | `setSchActivitySetInfo(java.util.List<SchActivitySet> schActivitySetInfo)` Sets the value of the schActivitySetInfo property.
    `void` | `setSchActivitySetInfoNSizeIs(int value)` Sets the value of the schActivitySetInfoNSizeIs property.
    `void` | `setSchStates(java.util.List<SchState> schStates)` Sets the value of the schStates property.
    `void` | `setSchStatesNSizeIs(int value)` Sets the value of the schStatesNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmDayType(int value)` Sets the value of the wmDayType property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmExceptionTypeId(int value)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmFlag(int value)` Sets the value of the wmFlag property.
    `void` | `setWmMarked(boolean value)` Sets the value of the wmMarked property.
    `void` | `setWmNextStartDateTime(double value)` Sets the value of the wmNextStartDateTime property.
    `void` | `setWmOvertimeMinutes(int value)` Sets the value of the wmOvertimeMinutes property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmPrevEndDateTime(double value)` Sets the value of the wmPrevEndDateTime property.
    `void` | `setWmScheduleId(int value)` Sets the value of the wmScheduleId property.
    `void` | `setWmShiftEndDateTime(double value)` Sets the value of the wmShiftEndDateTime property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmShiftStartDateTime(double value)` Sets the value of the wmShiftStartDateTime property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmSwordDescribe(java.lang.String value)` Sets the value of the wmSwordDescribe property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmVacationMinutes(int value)` Sets the value of the wmVacationMinutes property.
    `void` | `setWmWorkMinutes(int value)` Sets the value of the wmWorkMinutes property.
    `java.lang.String` | `toString()`
    `SchAgentDay` | `withCoverage(java.util.Collection<SchCoverage> values)`
    `SchAgentDay` | `withCoverage(SchCoverage... values)`
    `SchAgentDay` | `withCoverageNSizeIs(int value)`
    `SchAgentDay` | `withEligibleForTrade(boolean value)`
    `SchAgentDay` | `withGswAgentId(int value)`
    `SchAgentDay` | `withGswUserId(int value)`
    `SchAgentDay` | `withSchActivities(java.util.Collection<java.lang.Integer> values)`
    `SchAgentDay` | `withSchActivities(java.lang.Integer... values)`
    `SchAgentDay` | `withSchActivitiesNSizeIs(int value)`
    `SchAgentDay` | `withSchActivitySetInfo(java.util.Collection<SchActivitySet> values)`
    `SchAgentDay` | `withSchActivitySetInfo(SchActivitySet... values)`
    `SchAgentDay` | `withSchActivitySetInfoNSizeIs(int value)`
    `SchAgentDay` | `withSchStates(java.util.Collection<SchState> values)`
    `SchAgentDay` | `withSchStates(SchState... values)`
    `SchAgentDay` | `withSchStatesNSizeIs(int value)`
    `SchAgentDay` | `withTimestamp(long value)`
    `SchAgentDay` | `withWmComments(java.lang.String value)`
    `SchAgentDay` | `withWmDate(double value)`
    `SchAgentDay` | `withWmDayType(int value)`
    `SchAgentDay` | `withWmEndDateTime(double value)`
    `SchAgentDay` | `withWmExceptionTypeId(int value)`
    `SchAgentDay` | `withWmFlag(int value)`
    `SchAgentDay` | `withWmMarked(boolean value)`
    `SchAgentDay` | `withWmNextStartDateTime(double value)`
    `SchAgentDay` | `withWmOvertimeMinutes(int value)`
    `SchAgentDay` | `withWmPaidMinutes(int value)`
    `SchAgentDay` | `withWmPrevEndDateTime(double value)`
    `SchAgentDay` | `withWmScheduleId(int value)`
    `SchAgentDay` | `withWmShiftEndDateTime(double value)`
    `SchAgentDay` | `withWmShiftId(int value)`
    `SchAgentDay` | `withWmShiftStartDateTime(double value)`
    `SchAgentDay` | `withWmSiteId(int value)`
    `SchAgentDay` | `withWmStartDateTime(double value)`
    `SchAgentDay` | `withWmSwordDescribe(java.lang.String value)`
    `SchAgentDay` | `withWmTimeOffTypeId(int value)`
    `SchAgentDay` | `withWmTimezoneId(int value)`
    `SchAgentDay` | `withWmVacationMinutes(int value)`
    `SchAgentDay` | `withWmWorkMinutes(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswUserId

          protected int gswUserId

      User ID if schedule day is "pending"; zero if schedule is "committed".

    - #### wmScheduleId

          protected int wmScheduleId

      Schedule (Scenario) identifier. It is zero for Master Schedule

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies the `CfgSite` object.

    - #### gswAgentId

          protected int gswAgentId

      Agent ID, identifies the `CfgAgent` object. It has a negative value if the agent is a "Profile Agent".

    - #### wmDate

          protected double wmDate

      A date of agent day schedule `OleDateTime`

    - #### wmDayType

          protected int wmDayType

      Type of agent day schedule `ESchDayType`

    - #### wmExceptionTypeId

          protected int wmExceptionTypeId

      Exception ID, identifies full-day Exception `CfgExceptionType` whether wmDayType = ESchDayType.SCH_DAY_EXCEPTION.

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

      Time Off Type ID, identifies full-day Time Off `CfgTimeOffType` whether wmDayType = ESchDayType.SCH_DAY_TIMEOFF.

    - #### wmStartDateTime

          protected double wmStartDateTime

      Start time of the first schedule state in Agent Day. If Agent Day is of full-day type, as with Exception, Day Off, or Time Off, then wmStartDateTime is equal to wmDate. It is a read-only attribute. `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      End time of the last schedule state in Agent Day. If Agent Day is of full-day type, as with Exception, Day Off or Time Off, then wmEndDateTime is equal to wmDate. It is a read-only attribute.

    - #### wmShiftId

          protected int wmShiftId

      Shift ID, identifies `CfgShift` whether wmDayType = ESchDayType.SCH_DAY_SHIFT.

    - #### wmShiftStartDateTime

          protected double wmShiftStartDateTime

      Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT.

    - #### wmShiftEndDateTime

          protected double wmShiftEndDateTime

      Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmComments

          protected java.lang.String wmComments

      Comments for the agent day schedule.

    - #### wmSwordDescribe

          protected java.lang.String wmSwordDescribe

      Used internally to store encoded schedule for agent day. It is used only by WFM Builder. Other clients simply need to pass it back to Schedule Service together with the modified Agent Day.

    - #### wmFlag

          protected int wmFlag

      Agent Day Flag `ESchDayFlag`

    - #### wmPaidMinutes

          protected int wmPaidMinutes

      Total paid minutes in the agent day schedule. If a modified day having type SCH_DAY_EXCEPTION is sent back to the server, then the specified paid minutes indicate to the server how this full day exception needs to be compensated. Otherwise, if the value is zero, the standard working hours will be used as the paid time for the full day exception.

    - #### wmWorkMinutes

          protected int wmWorkMinutes

      Total effective-work minutes in an agent day schedule. It is a read-only attribute.

    - #### wmVacationMinutes

          protected int wmVacationMinutes

      Total Time Off state minutes in an agent day schedule. It is a read-only attribute.

    - #### wmOvertimeMinutes

          protected int wmOvertimeMinutes

      Daily overtime minutes. It is a read-only attribute.

    - #### schActivitiesNSizeIs

          protected int schActivitiesNSizeIs

      Number of elements in the "schActivities" array

    - #### schActivities

          protected java.util.List<java.lang.Integer> schActivities

      A list of each unique Activity ID scheduled in an agent day schedule. Identifies `CfgActivity`

    - #### coverageNSizeIs

          protected int coverageNSizeIs

      Number of elements in the "coverage" array

    - #### coverage

          protected java.util.List<SchCoverage> coverage

      Used internally to calculate activity coverage for the day. Normally, there is no need for clients to modify it. Clients simply need to pass it back to Schedule Service together with the modified Agent Day.

    - #### schStatesNSizeIs

          protected int schStatesNSizeIs

      Number of elements in "schStates" array

    - #### schStates

          protected java.util.List<SchState> schStates

      A list of all schedule states `SchState` in the day, including Activity and Shift states, as well as full-day states such as full-day exception, day off, and vacation.

    - #### schActivitySetInfoNSizeIs

          protected int schActivitySetInfoNSizeIs

      Number of elements in "schActivitySetInfo" array

    - #### schActivitySetInfo

          protected java.util.List<SchActivitySet> schActivitySetInfo

      A list of possible values for scheduled activity set states. Can be NULL if activity set information was not requested.

    - #### wmPrevEndDateTime

          protected double wmPrevEndDateTime

      End time for the previous day's schedule. Client has to make sure not to overlap this time when modifying scheduled states in the Agent Day. It is a read-only attribute. `OleDateTime`

    - #### wmNextStartDateTime

          protected double wmNextStartDateTime

      Start time for the next day's schedule. Client has to make sure not to overlap this time when modifying scheduled states in the Agent Day. It is a read-only attribute. `OleDateTime`

    - #### eligibleForTrade

          protected boolean eligibleForTrade

      Indicates whether agent day can be traded or not. It is a read-only attribute.

    - #### wmMarked

          protected boolean wmMarked

      Indicates whether agent day satisfies currently applied schedule state filter or not.

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID used. A zero value represents Site time zone. `CfgTimezone`

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### SchAgentDay

          public SchAgentDay()

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the value of the wmScheduleId property.

    - #### setWmScheduleId

          public void setWmScheduleId(int value)

      Sets the value of the wmScheduleId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmDayType

          public int getWmDayType()

      Gets the value of the wmDayType property.

    - #### setWmDayType

          public void setWmDayType(int value)

      Sets the value of the wmDayType property.

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int value)

      Sets the value of the wmExceptionTypeId property.

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmShiftStartDateTime

          public double getWmShiftStartDateTime()

      Gets the value of the wmShiftStartDateTime property.

    - #### setWmShiftStartDateTime

          public void setWmShiftStartDateTime(double value)

      Sets the value of the wmShiftStartDateTime property.

    - #### getWmShiftEndDateTime

          public double getWmShiftEndDateTime()

      Gets the value of the wmShiftEndDateTime property.

    - #### setWmShiftEndDateTime

          public void setWmShiftEndDateTime(double value)

      Sets the value of the wmShiftEndDateTime property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmSwordDescribe

          public java.lang.String getWmSwordDescribe()

      Gets the value of the wmSwordDescribe property.
      Returns:
        possible object is `String`

    - #### setWmSwordDescribe

          public void setWmSwordDescribe(java.lang.String value)

      Sets the value of the wmSwordDescribe property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmFlag

          public int getWmFlag()

      Gets the value of the wmFlag property.

    - #### setWmFlag

          public void setWmFlag(int value)

      Sets the value of the wmFlag property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the value of the wmWorkMinutes property.

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int value)

      Sets the value of the wmWorkMinutes property.

    - #### getWmVacationMinutes

          public int getWmVacationMinutes()

      Gets the value of the wmVacationMinutes property.

    - #### setWmVacationMinutes

          public void setWmVacationMinutes(int value)

      Sets the value of the wmVacationMinutes property.

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the value of the wmOvertimeMinutes property.

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int value)

      Sets the value of the wmOvertimeMinutes property.

    - #### getSchActivitiesNSizeIs

          public int getSchActivitiesNSizeIs()

      Gets the value of the schActivitiesNSizeIs property.

    - #### setSchActivitiesNSizeIs

          public void setSchActivitiesNSizeIs(int value)

      Sets the value of the schActivitiesNSizeIs property.

    - #### getSchActivities

          public java.util.List<java.lang.Integer> getSchActivities()

      Gets the value of the schActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schActivities property.

      For example, to add a new item, do as follows:

              getSchActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getCoverageNSizeIs

          public int getCoverageNSizeIs()

      Gets the value of the coverageNSizeIs property.

    - #### setCoverageNSizeIs

          public void setCoverageNSizeIs(int value)

      Sets the value of the coverageNSizeIs property.

    - #### getCoverage

          public java.util.List<SchCoverage> getCoverage()

      Gets the value of the coverage property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the coverage property.

      For example, to add a new item, do as follows:

              getCoverage().add(newItem);

      Objects of the following type(s) are allowed in the list `SchCoverage`

    - #### getSchStatesNSizeIs

          public int getSchStatesNSizeIs()

      Gets the value of the schStatesNSizeIs property.

    - #### setSchStatesNSizeIs

          public void setSchStatesNSizeIs(int value)

      Sets the value of the schStatesNSizeIs property.

    - #### getSchStates

          public java.util.List<SchState> getSchStates()

      Gets the value of the schStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStates property.

      For example, to add a new item, do as follows:

              getSchStates().add(newItem);

      Objects of the following type(s) are allowed in the list `SchState`

    - #### getSchActivitySetInfoNSizeIs

          public int getSchActivitySetInfoNSizeIs()

      Gets the value of the schActivitySetInfoNSizeIs property.

    - #### setSchActivitySetInfoNSizeIs

          public void setSchActivitySetInfoNSizeIs(int value)

      Sets the value of the schActivitySetInfoNSizeIs property.

    - #### getSchActivitySetInfo

          public java.util.List<SchActivitySet> getSchActivitySetInfo()

      Gets the value of the schActivitySetInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schActivitySetInfo property.

      For example, to add a new item, do as follows:

              getSchActivitySetInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchActivitySet`

    - #### getWmPrevEndDateTime

          public double getWmPrevEndDateTime()

      Gets the value of the wmPrevEndDateTime property.

    - #### setWmPrevEndDateTime

          public void setWmPrevEndDateTime(double value)

      Sets the value of the wmPrevEndDateTime property.

    - #### getWmNextStartDateTime

          public double getWmNextStartDateTime()

      Gets the value of the wmNextStartDateTime property.

    - #### setWmNextStartDateTime

          public void setWmNextStartDateTime(double value)

      Sets the value of the wmNextStartDateTime property.

    - #### isEligibleForTrade

          public boolean isEligibleForTrade()

      Gets the value of the eligibleForTrade property.

    - #### setEligibleForTrade

          public void setEligibleForTrade(boolean value)

      Sets the value of the eligibleForTrade property.

    - #### isWmMarked

          public boolean isWmMarked()

      Gets the value of the wmMarked property.

    - #### setWmMarked

          public void setWmMarked(boolean value)

      Sets the value of the wmMarked property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswUserId

          public SchAgentDay withGswUserId(int value)

    - #### withWmScheduleId

          public SchAgentDay withWmScheduleId(int value)

    - #### withWmSiteId

          public SchAgentDay withWmSiteId(int value)

    - #### withGswAgentId

          public SchAgentDay withGswAgentId(int value)

    - #### withWmDate

          public SchAgentDay withWmDate(double value)

    - #### withWmDayType

          public SchAgentDay withWmDayType(int value)

    - #### withWmExceptionTypeId

          public SchAgentDay withWmExceptionTypeId(int value)

    - #### withWmTimeOffTypeId

          public SchAgentDay withWmTimeOffTypeId(int value)

    - #### withWmStartDateTime

          public SchAgentDay withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchAgentDay withWmEndDateTime(double value)

    - #### withWmShiftId

          public SchAgentDay withWmShiftId(int value)

    - #### withWmShiftStartDateTime

          public SchAgentDay withWmShiftStartDateTime(double value)

    - #### withWmShiftEndDateTime

          public SchAgentDay withWmShiftEndDateTime(double value)

    - #### withWmComments

          public SchAgentDay withWmComments(java.lang.String value)

    - #### withWmSwordDescribe

          public SchAgentDay withWmSwordDescribe(java.lang.String value)

    - #### withWmFlag

          public SchAgentDay withWmFlag(int value)

    - #### withWmPaidMinutes

          public SchAgentDay withWmPaidMinutes(int value)

    - #### withWmWorkMinutes

          public SchAgentDay withWmWorkMinutes(int value)

    - #### withWmVacationMinutes

          public SchAgentDay withWmVacationMinutes(int value)

    - #### withWmOvertimeMinutes

          public SchAgentDay withWmOvertimeMinutes(int value)

    - #### withSchActivitiesNSizeIs

          public SchAgentDay withSchActivitiesNSizeIs(int value)

    - #### withSchActivities

          public SchAgentDay withSchActivities(java.lang.Integer... values)

    - #### withSchActivities

          public SchAgentDay withSchActivities(java.util.Collection<java.lang.Integer> values)

    - #### withCoverageNSizeIs

          public SchAgentDay withCoverageNSizeIs(int value)

    - #### withCoverage

          public SchAgentDay withCoverage(SchCoverage... values)

    - #### withCoverage

          public SchAgentDay withCoverage(java.util.Collection<SchCoverage> values)

    - #### withSchStatesNSizeIs

          public SchAgentDay withSchStatesNSizeIs(int value)

    - #### withSchStates

          public SchAgentDay withSchStates(SchState... values)

    - #### withSchStates

          public SchAgentDay withSchStates(java.util.Collection<SchState> values)

    - #### withSchActivitySetInfoNSizeIs

          public SchAgentDay withSchActivitySetInfoNSizeIs(int value)

    - #### withSchActivitySetInfo

          public SchAgentDay withSchActivitySetInfo(SchActivitySet... values)

    - #### withSchActivitySetInfo

          public SchAgentDay withSchActivitySetInfo(java.util.Collection<SchActivitySet> values)

    - #### withWmPrevEndDateTime

          public SchAgentDay withWmPrevEndDateTime(double value)

    - #### withWmNextStartDateTime

          public SchAgentDay withWmNextStartDateTime(double value)

    - #### withEligibleForTrade

          public SchAgentDay withEligibleForTrade(boolean value)

    - #### withWmMarked

          public SchAgentDay withWmMarked(boolean value)

    - #### withWmTimezoneId

          public SchAgentDay withWmTimezoneId(int value)

    - #### withTimestamp

          public SchAgentDay withTimestamp(long value)

    - #### setSchActivities

          public void setSchActivities(java.util.List<java.lang.Integer> schActivities)

      Sets the value of the schActivities property.
      Parameters:
        `schActivities` - allowed object is `Integer`

    - #### setCoverage

          public void setCoverage(java.util.List<SchCoverage> coverage)

      Sets the value of the coverage property.
      Parameters:
        `coverage` - allowed object is `SchCoverage`

    - #### setSchStates

          public void setSchStates(java.util.List<SchState> schStates)

      Sets the value of the schStates property.
      Parameters:
        `schStates` - allowed object is `SchState`

    - #### setSchActivitySetInfo

          public void setSchActivitySetInfo(java.util.List<SchActivitySet> schActivitySetInfo)

      Sets the value of the schActivitySetInfo property.
      Parameters:
        `schActivitySetInfo` - allowed object is `SchActivitySet`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.